Async Get Voter Id Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/get-voter-id \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/get-voter-id"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/get-voter-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/get-voter-id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/get-voter-id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/get-voter-id")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/get-voter-id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"action": "verify_with_source",
"completed_at": "2025-01-31T12:21:15+05:30",
"created_at": "2025-01-31T12:21:14+05:30",
"group_id": "8e16424a-58fc-4ba4-ab20-5bc8e7c3c41e",
"request_id": "f84f8dd0-b4fc-4c76-92a1-a852a0a48246",
"task_id": "1f2627e7-a914-4e48-85f8-f58450e91687",
"type": "ind_voter_id",
"status": "completed",
"result": {
"source_output": {
"ac_no": "175",
"district": "B.B.M.P(SOUTH)",
"gender": "M",
"id_number": "UHN152632",
"name_on_card": "mosd niharika",
"part_no": "21",
"ps_name": "NARAYANA B TECNOLOGY SCHOOL 40/1 TP NAGAR 9TH PHASE 24TH MAIN ROAD BOB COLONY ROOM NO -02",
"rln_name": "KIND MOHUED",
"section_no": "5",
"source": "NVSP",
"st_code": "S10",
"state": "Karnataka",
"status": "id_found"
}
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": 1738183355777,
"transaction_id": "2d45f642ee2b4c3fbb96c88dadb78c86",
"sub_code": "INVALID_REQUEST_ID",
"message": "Invalid Request ID"
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}Async
Result Voter ID
This API gives you back the complete result and verification details against your request id receieved in previous step.
GET
/
v1
/
verification
/
get-voter-id
Async Get Voter Id Verification
curl --request GET \
--url https://production.deepvue.tech/v1/verification/get-voter-id \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/verification/get-voter-id"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/verification/get-voter-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/verification/get-voter-id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/verification/get-voter-id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/verification/get-voter-id")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/verification/get-voter-id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"action": "verify_with_source",
"completed_at": "2025-01-31T12:21:15+05:30",
"created_at": "2025-01-31T12:21:14+05:30",
"group_id": "8e16424a-58fc-4ba4-ab20-5bc8e7c3c41e",
"request_id": "f84f8dd0-b4fc-4c76-92a1-a852a0a48246",
"task_id": "1f2627e7-a914-4e48-85f8-f58450e91687",
"type": "ind_voter_id",
"status": "completed",
"result": {
"source_output": {
"ac_no": "175",
"district": "B.B.M.P(SOUTH)",
"gender": "M",
"id_number": "UHN152632",
"name_on_card": "mosd niharika",
"part_no": "21",
"ps_name": "NARAYANA B TECNOLOGY SCHOOL 40/1 TP NAGAR 9TH PHASE 24TH MAIN ROAD BOB COLONY ROOM NO -02",
"rln_name": "KIND MOHUED",
"section_no": "5",
"source": "NVSP",
"st_code": "S10",
"state": "Karnataka",
"status": "id_found"
}
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"code": 422,
"timestamp": 1738183355777,
"transaction_id": "2d45f642ee2b4c3fbb96c88dadb78c86",
"sub_code": "INVALID_REQUEST_ID",
"message": "Invalid Request ID"
}{
"detail": "Internal Server Error"
}{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Source Unavailable"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.